LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTabPageContainerListener Interface Referencepublished

An instance of this interface is used by the XTabPageContainer to get notifications about changes in activation of tab pages. More...

`import"XTabPageContainerListener.idl";`

Inheritance diagram for XTabPageContainerListener:

## Public Member Functions
void | tabPageActivated ([in] TabPageActivatedEvent tabPageActivatedEvent)
| Invoked after a tab page was activated. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An instance of this interface is used by the XTabPageContainer to get notifications about changes in activation of tab pages.

Since
  OOo 3.4

## Member Function Documentation

## ◆ tabPageActivated()

void tabPageActivated | ( | [in] TabPageActivatedEvent | tabPageActivatedEvent | ) |

Invoked after a tab page was activated.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tab/XTabPageContainerListener.idl